Bug 517439 - IBM: Update restrictions
Summary: IBM: Update restrictions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Christopher Curran
QA Contact: Lawrence Lim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 23:20 UTC by Christopher Curran
Modified: 2018-10-19 18:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 04:58:08 UTC


Attachments (Terms of Use)

Description Christopher Curran 2009-08-13 23:20:04 UTC
Description of problem:
Escalated from an email:

Hello,
I am not sure of the correct procedure. IBM is request an addition made to the following guide:
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Virtualization/
They would like somet like: "Currently SCSI emulation is not supported in KVM" added to the document.

Would you be able to assist in making this change. 

Thank You
Joe Kachuck

Dor, is this correct? Should I add this line?

Comment 1 Issue Tracker 2009-08-14 15:19:46 UTC
Event posted on 08-14-2009 11:19am EDT by jkachuck

This document comment belongs to RHBZ Virtualization_Guide component and we
would like to see
something like below in the Virtualization guide:
"Currently SCSI emulation is not supported in KVM"


This event sent from IssueTracker by jkachuck 
 issue 329710

Comment 2 Chris Wright 2009-08-14 17:42:31 UTC
This is correct.  We configure the device model with --disable-scsi which disables the SCSI controller emulation.  This change was made as part of bz#512837.

Comment 3 Chris Wright 2009-08-14 17:43:25 UTC
clearing needinfo

Comment 4 Dor Laor 2009-08-16 12:52:43 UTC
Only IDE disks have this limitation (4).
Scsi is not supported and compiled out.
PV disks (virtio) are PCI devices. At the moment we are limited by maximum 32 pci devices overall. Since there are some pci devices that always exists, the actual maximum is a bit lower. Default devicesL
 * host bridge
 * ISA bridge
 * usb bridge
 * Graphic card (Cirrus or qxl)
 * balloon device

So you're left with 32 - 5 = 27 pci slots for any other virtual devices like net/block/etc. (note that usb if always used for RHEV, not sure on libvirt)

Comment 5 Dor Laor 2009-08-16 15:37:08 UTC
The "Constant TSC bit" requirement, should now be replaced with the new time configuration - http://cleo.tlv.redhat.com/qumrawiki/KVM/TimeKeeping#head-a03434101d51798c6d005d3413af8c2bb912a685

Mainly, for windows guests: "if !constant_tsc on the host use the pmtimer:
http://support.microsoft.com/kb/833721" and the table of configuration for Linux guests.

Comment 6 Dor Laor 2009-08-17 09:12:33 UTC
(In reply to comment #4)
> Only IDE disks have this limitation (4).
> Scsi is not supported and compiled out.
> PV disks (virtio) are PCI devices. At the moment we are limited by maximum 32
> pci devices overall. Since there are some pci devices that always exists, the
> actual maximum is a bit lower. Default devicesL
>  * host bridge
>  * ISA bridge
>  * usb bridge

The usb and isa bridges are the same device with different functions.

>  * Graphic card (Cirrus or qxl)
>  * balloon device
> 
> So you're left with 32 - 5 = 27 pci slots for any other virtual devices like

Correction 32 - 4 = 28

> net/block/etc. (note that usb if always used for RHEV, not sure on libvirt)

Comment 7 Christopher Curran 2009-08-19 06:02:45 UTC
This is fixed in build 47 of the virtualization guide. All new restrictions must have new bugzillas created.


Note You need to log in before you can comment on or make changes to this bug.